Skip to navigation

Delete workspace

View as Markdown

Delete a workspace.

This marks the workspace for deletion and returns immediately. The workspace will no longer be accessible via the API. An asynchronous cleanup controller will handle deletion of all entities and external resources.

Role bindings are immediately deleted to revoke access.

Example:

DELETE /apis/entities/v2/workspaces/ml-team

Path parameters

namestringRequired

Response

Successful Response
idstring
The ID of the deleted resource.
messagestringOptionalDefaults to Resource deleted successfully.

Errors

422
Unprocessable Entity Error